function [traj, ctrl, cost, sol] = getTraj(X, U, J, F_safe, F_sys, F_init, F_goal, options)
% getTraj Create trajectory
%
% :copyright: 2014 by the California Institute of Technology
% :license: BSD 3-Clause, see LICENSE for details

F = [F_safe, F_sys, F_init, F_goal];

sol = solvesdp(F,J,options);
ctrl = double(U);
traj = double(X);
cost = double(J);

end
